
Katello - Bug #5518

Running rake katello:reindex throws an error

04/30/2014 07:33 PM - David Davis

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

rake aborted!

undefined method `enabled' for #<Class:0x0000000bf03650>

/home/dadavis/.rvm/gems/ruby-1.9.3-p448@foreman/gems/activerecord-3.2.17/lib/active_record/dynamic

_matchers.rb:55:in `method_missing'

/home/dadavis/Projects/katello/lib/katello/tasks/reindex.rake:24:in `block (2 levels) in <top (req

uired)>'

/home/dadavis/.rvm/gems/ruby-1.9.3-p448@foreman/bin/ruby_executable_hooks:15:in `eval'

/home/dadavis/.rvm/gems/ruby-1.9.3-p448@foreman/bin/ruby_executable_hooks:15:in `<main>'

Tasks: TOP => katello:reindex

(See full trace by running task with --trace)

Associated revisions

Revision f8767fa8 - 04/30/2014 03:52 PM - David Davis

Fixes #5518 - Repository.enabled no longer exists

Revision 22252205 - 05/01/2014 11:29 AM - David Davis

Merge pull request #4024 from daviddavis/temp/20140430113444

Fixes #5518 - Repository.enabled no longer exists

History

#1 - 05/01/2014 11:53 AM - David Davis

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:f8767fa887de6f23bd5d80cac3f981401e061075.

#2 - 05/27/2014 05:08 PM - Eric Helms

- Target version set to 44

#3 - 06/06/2014 01:09 PM - Eric Helms

- Triaged changed from No to Yes

#4 - 08/22/2014 08:22 AM - Eric Helms

- translation missing: en.field_release set to 13
